local vm_data = {}

local c_stone = minetest.get_content_id("artifact:stone")

-- Singlenode, but the single node is stone.
-- (Note that this is just the base mapgen; the world itself will
-- be loaded from a schematic on init.)
minetest.register_on_generated(function(vm, minp, maxp)
    local min, max = vm:get_emerged_area()
    local va = VoxelArea(min, max)
    
    vm:get_data(vm_data)
    
    for i in va:iterp(minp, maxp) do
        vm_data[i] = c_stone
    end
    
    vm:set_data(vm_data)
    vm:calc_lighting()
end)
